Bug 1599508 - texlive update still has issues with failed dependencies
Summary: texlive update still has issues with failed dependencies
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: texlive
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-10 01:08 UTC by Michal Jaegermann
Modified: 2018-10-09 00:06 UTC (History)
4 users (show)

Fixed In Version: texlive-2018-20.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-09 00:06:15 UTC
Type: Bug


Attachments (Terms of Use)

Description Michal Jaegermann 2018-07-10 01:08:07 UTC
Description of problem:

The following shows up when updating texlive installation:

 Problem: cannot install the best update candidate for package texlive-collection-mathextra-6:svn40076-43.20160520.fc29.noarch
  - nothing provides texlive-algobox needed by texlive-collection-mathscience-7:2017-15.fc29.noarch

Trying dnf with '--allowerasing' suggest to erase texlive-collection-mathextra in question.  That indeed would make the error to go away but this is hardly the poing.

Version-Release number of selected component (if applicable):
texlive-2017-15.fc29

Additional info:
See also bug 1578196#c6

Comment 1 Tom "spot" Callaway 2018-07-11 19:29:45 UTC
I believe this is fixed in the latest rawhide build (texlive-2017-16.fc29).

Comment 2 Michal Jaegermann 2018-07-14 16:02:34 UTC
(In reply to Tom "spot" Callaway from comment #1)
> I believe this is fixed in the latest rawhide build (texlive-2017-16.fc29).

To some extent. :-)  This time I see for a change:

Error: 
 Problem: cannot install the best update candidate for package texlive-collection-mathextra-6:svn40076-43.20160520.fc29.noarch
  - nothing provides texlive-apxproof needed by texlive-collection-mathscience-7:2017-16.fc29.noarch

Comment 3 wheinbockel 2018-08-01 16:48:23 UTC
Currently still failing as mathextra seems to redirect to texlive-collection-mathscience:

[root@d79f2dd21cee /]# dnf install texlive-collection-mathscience
Last metadata expiration check: 0:07:28 ago on Wed 01 Aug 2018 04:32:29 PM UTC.
Error:
 Problem: conflicting requests
  - nothing provides texlive-apxproof needed by texlive-collection-mathscience-7:2017-17.fc29.noarch
  - nothing provides texlive-autobreak needed by texlive-collection-mathscience-7:2017-17.fc29.noarch
  - nothing provides texlive-correctmathalign needed by texlive-collection-mathscience-7:2017-17.fc29.noarch
  - nothing provides texlive-delimset needed by texlive-collection-mathscience-7:2017-17.fc29.noarch
  - nothing provides texlive-diffcoeff needed by texlive-collection-mathscience-7:2017-17.fc29.noarch
  - nothing provides texlive-dijkstra needed by texlive-collection-mathscience-7:2017-17.fc29.noarch
  - nothing provides texlive-emf needed by texlive-collection-mathscience-7:2017-17.fc29.noarch
  - nothing provides texlive-eqnnumwarn needed by texlive-collection-mathscience-7:2017-17.fc29.noarch
  - nothing provides texlive-fnspe needed by texlive-collection-mathscience-7:2017-17.fc29.noarch
  - nothing provides texlive-gotoh needed by texlive-collection-mathscience-7:2017-17.fc29.noarch
  - nothing provides texlive-karnaugh-map needed by texlive-collection-mathscience-7:2017-17.fc29.noarch
  - nothing provides texlive-longdivision needed by texlive-collection-mathscience-7:2017-17.fc29.noarch
  - nothing provides texlive-mathpunctspace needed by texlive-collection-mathscience-7:2017-17.fc29.noarch
  - nothing provides texlive-mgltex needed by texlive-collection-mathscience-7:2017-17.fc29.noarch
  - nothing provides texlive-oplotsymbl needed by texlive-collection-mathscience-7:2017-17.fc29.noarch
  - nothing provides texlive-pythonhighlight needed by texlive-collection-mathscience-7:2017-17.fc29.noarch
  - nothing provides texlive-revquantum needed by texlive-collection-mathscience-7:2017-17.fc29.noarch
  - nothing provides texlive-scratchx needed by texlive-collection-mathscience-7:2017-17.fc29.noarch
  - nothing provides texlive-spalign needed by texlive-collection-mathscience-7:2017-17.fc29.noarch
  - nothing provides texlive-stanli needed by texlive-collection-mathscience-7:2017-17.fc29.noarch
  - nothing provides texlive-witharrows needed by texlive-collection-mathscience-7:2017-17.fc29.noarch

Comment 4 Jan Kurik 2018-08-14 09:54:51 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 5 Tom "spot" Callaway 2018-08-28 21:05:27 UTC
Yep. Haven't forgotten. In the process of updating everything in the texlive package, hopefully before Fedora 29 GA (not gonna make beta).

Comment 6 Fedora Update System 2018-10-07 23:40:39 UTC
texlive-base-20180414-24.fc29 texlive-2018-20.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1959097dfc

Comment 7 Fedora Update System 2018-10-08 14:55:21 UTC
texlive-2018-20.fc29, texlive-base-20180414-24.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1959097dfc

Comment 8 Fedora Update System 2018-10-09 00:06:15 UTC
texlive-2018-20.fc29, texlive-base-20180414-24.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.